include:
  - project: 's2innovation-partners/dsc/dsc-update-base'
    file: ".dsc-update-base.yml"

catalogue-update:
  extends: .dsc-update-base
  stage: publish
  variables:
    DSC_DEVICE_SERVER_NAME: "OceanOpticsSTS"
    DSC_PYTHON_URL: |
      file://$CI_PROJECT_DIR/OceanOpticsSTS/OceanOpticsSTS.py
    DSC_AUTHOR: 'contact@s2innovation.com'
    DSC_LICENSE: "GPL"
    DSC_FAMILY: 'Instrumentation'
    DSC_REPOSITORY_CONTACT: 'contact@s2innovation.com'
    DSC_MANUFACTURER: 'Ocean Insight Oceans'
    DSC_REFERENCE: 'STS-NIR'
    DSC_README_URL: file://$CI_PROJECT_DIR/README.md
    DSC_RELEASE_TAG: '1.0.0'
    DSC_CLASS_DESCRIPTION: 'The STS-NIR spectrometer from Ocean Insight. Project financed by ICFO (Barcelona, Spain).'
  only:
    refs:
        - master 
 
